=== renamed directory 'web_ir_actions_act_window_scroll' => 'web_ir_actions_act_window_page'
=== modified file 'web_ir_actions_act_window_page/__openerp__.py'
--- web_ir_actions_act_window_scroll/__openerp__.py	2013-11-29 10:57:19 +0000
+++ web_ir_actions_act_window_page/__openerp__.py	2013-12-02 10:30:01 +0000
@@ -19,23 +19,23 @@
 #
 ##############################################################################
 {
-    "name" : "Window actions for client side scrolling",
+    "name" : "Window actions for client side paging",
     "version" : "1.0",
     "author" : "Therp BV",
     "complexity": "normal",
     "description": """
-Client side scrolling
+Client side paging
 =====================
 
 This addon enables buttons to return::
 
-{'type': 'ir.actions.act_window.scroll.next'}
+{'type': 'ir.actions.act_window.page.next'}
 
 or::
 
-{'type': 'ir.actions.act_window.scroll.prev'}
+{'type': 'ir.actions.act_window.page.prev'}
 
-which trigger the form's controller to scroll into the requested direction.
+which trigger the form's controller to page into the requested direction.
     """,
     "category" : "Dependency",
     "depends" : [
@@ -43,7 +43,7 @@
     "data" : [
     ],
     "js": [
-        'static/src/js/web_ir_actions_act_window_scroll.js',
+        'static/src/js/web_ir_actions_act_window_page.js',
     ],
     "css": [
     ],

=== renamed file 'web_ir_actions_act_window_scroll/static/src/js/web_ir_actions_act_window_scroll.js' => 'web_ir_actions_act_window_page/static/src/js/web_ir_actions_act_window_page.js'
--- web_ir_actions_act_window_scroll/static/src/js/web_ir_actions_act_window_scroll.js	2013-11-29 10:57:19 +0000
+++ web_ir_actions_act_window_page/static/src/js/web_ir_actions_act_window_page.js	2013-12-02 10:30:01 +0000
@@ -19,10 +19,10 @@
 //
 //############################################################################
 
-openerp.web_ir_actions_act_window_scroll = function(openerp)
+openerp.web_ir_actions_act_window_page = function(openerp)
 {
     openerp.web.ActionManager.include({
-        ir_actions_act_window_scroll_prev: function(action, options)
+        ir_actions_act_window_page_prev: function(action, options)
         {
             if(this.inner_widget && this.inner_widget.active_view == 'form' &&
                 this.inner_widget.views[this.inner_widget.active_view])
@@ -31,7 +31,7 @@
                     .controller.execute_pager_action('previous');
             }
         },
-        ir_actions_act_window_scroll_next: function(action, options)
+        ir_actions_act_window_page_next: function(action, options)
         {
             if(this.inner_widget && this.inner_widget.active_view == 'form' &&
                 this.inner_widget.views[this.inner_widget.active_view])

